
Summary:          Papyrus is a C++ canvas library similar to the Gnome canvas
Name:             papyrus
Version:          0.7.1
Release:          1%{?dist}
License:          LGPL
URL:              http://libpapyrus.sourceforge.net/
Group:            System Environment/Libraries
Source:           http://download.sourceforge.net/libpapyrus/%{name}-%{version}.tar.bz2
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    gtkmm24-devel >= 2.10 cairomm-devel >= 1.2 pkgconfig m4

%description
Papyrus is a C++ canvas library similar in scope
and function to the Gnome canvas, but designed to render on a
Cairo surface.

%package          devel
Summary:          Headers for developing programs that will use %{name}
Group:            Development/Libraries
Requires:         papyrus = %{version}-%{release}
Requires:         gtkmm24-devel >= 2.10 cairomm-devel >= 1.2 pkgconfig

%description    devel
This package contains the libraries and header files needed for
developing Papyrus applications. Papyrus is a C++ canvas library similar
in scope and function to the Gnome canvas, but designed to render on a
Cairo surface.

%prep
%setup -q

%build
%configure --enable-static=no
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} INSTALL="%{__install} -p" install
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_libdir}/lib*papyrus*.so.*


%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*papyrus*.so
%{_libdir}/pkgconfig/papyrus*.pc
%{_includedir}/papyrus-0.7/
%{_includedir}/papyrusmm-0.7/
%doc ChangeLog docs/reference docs/gallery
%{_bindir}/*papyrus*-demo
%{_datadir}/papyrus-0.7.1/
%{_datadir}/papyrusmm-0.7.1/

%changelog
* Sat Mar 10 2007 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.7.1-1
- New release

* Sat Jan 20 2007 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.7.0-1
- New release

* Sun Jan 07 2007 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.6.1-1
- New release

* Tue Jan 02 2007 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.6.0-1
- New release
- Add install option to preserve timestamps
- Fix doc installation directories

* Fri Sep 08 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.5.1-2
- Bump release for new sources and make tag

* Fri Sep 08 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.5.1-1
- New release fixes packaging error

* Fri Sep 08 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.5.0-1
- New release

* Sun Aug 27 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.4.0-2
- Bumped release for mass rebuild

* Sun Aug 24 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.4.0-1
- New release
- Removed /demo/ suffix from datadir
- Added papyrusmm data and include dirs

* Thu Aug 24 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.3.1-2
- Bump release for make tag

* Thu Aug 24 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.3.1-1
- New release

* Sun Aug 13 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.3.0-1
- New release
- Removed /demo/ suffix from datadir
- Added papyrusmm data and include dirs

* Sun Aug  6 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.3-1
- New release
- Added m4 to BuildRequires

* Mon Jul 31 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.2-1
- New release
- Removed pkgconfig from BuildRequires
- Added pkgconfig to -devel Requires

* Sat Jul 29 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.1-2
- Changed make to %%{__make}
- Changed %%{name} to autoconf subst that puts specific name in devel requires
- Added comment regarding why cp occurs for docs
- Removed doxygen, graphviz and pkgconfig from devel requires
- Added package name to globs in so libs, .pc and demos

* Fri Jul 21 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.1-1
- New release
- Added papyrus-demo and papyrusmm-demo to devel package
- Remove rm -rf /usr/bin
- Changed mv of docs to cp of docs

* Fri May 26 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.12-1
- New release
- Changed sourceforge download location to download.sourceforge.net

* Sun May  7 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.11-1
- New release

* Sun Apr  9 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.10-1
- New release

* Fri Mar 24 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.9-1
- New release
- Cleaned up spec file and added pkgconfig to BuildRequires

* Fri Mar 17 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.8-1
- New release

* Sun Mar 12 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.7-1
- New release

* Sun Mar 05 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.6-1
- Removed Requires tag, relying on BuildRequires instead
- Cleaned up Source tag and changed to bz2 files
- New upstream release (upstream is me, it's just easier to say it that way)

* Tue Feb 28 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.5-1
- Initial version (at least the inital version with a changelog in the .spec)
